# ViewportDrawer Struct Reference

Data structure storing rendering information. More...

## Data Fields

DrawPixelInfo | dpi
StringSpriteToDrawVector | string_sprites_to_draw
TileSpriteToDrawVector | tile_sprites_to_draw
ParentSpriteToDrawVector | parent_sprites_to_draw
ParentSpriteToSortVector | parent_sprites_to_sort
| Parent sprite pointer array used for sorting.
ChildScreenSpriteToDrawVector | child_screen_sprites_to_draw
int * | last_child
byte | combine_sprites
int | foundation [FOUNDATION_PART_END]
| Foundation sprites (index into parent_sprites_to_draw).
FoundationPart | foundation_part
| Currently active foundation for ground sprite drawing.
int * | last_foundation_child [FOUNDATION_PART_END]
| Tail of ChildSprite list of the foundations. (index into child_screen_sprites_to_draw).
Point | foundation_offset [FOUNDATION_PART_END]
| Pixeloffset for ground sprites on the foundations.

## Detailed Description

Data structure storing rendering information.

Definition at line 114 of file viewport.cpp.

The documentation for this struct was generated from the following file:

- src/viewport.cpp